package main
 
import (
    "net/http"
    "net"
    "fmt"
)

func DNSProxyHandler(w http.ResponseWriter, r *http.Request) {
 
  r.ParseForm()
  hostname := r.Form.Get("hostname")

  fmt.Printf("hostname: %s\n",hostname)
  
  addrs, err := net.LookupIP(hostname)

  var sendbytes string;
  if err == nil {
    sendbytes = addrs[0].String()
    fmt.Printf("sending: %s",sendbytes)
  } else {
    fmt.Printf("fail in dnsroxy\n")
  }

  fmt.Fprintf(w, "%s",sendbytes);

}
 
func main() {
  http.HandleFunc("/dns" , DNSProxyHandler)
  http.Handle("/", http.FileServer(http.Dir(".")))
  err := http.ListenAndServe(":8080", nil)
  if err != nil {
    panic("Error: " + err.Error())
  }
}
